Subject: Re: bug#26840: [PATCH 2/3] gnu: go-1.4: Add missing module imports.

From: [email-masked] (Ludovic Courtès)
Date: Sat, 13 May 2017 15:08:53 +0200

Kei Kebreau <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Hi Kei,
>>
>> Kei Kebreau <[email-masked]> skribis:
>>
>>> Sergei Trofimovich <[email-masked]> writes:
>>>
>>>> * gnu/packages/golang.scm (go-1.4): Add missing modules to
>>>>   %modify-phases call: srfi-1
>>>> ---
>>>>  gnu/packages/golang.scm | 3 ++-
>>>>  1 file changed, 2 insertions(+), 1 deletion(-)
>>>>
>>>> diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
>>>> index 00630ce06..d19aa65af 100644
>>>> --- a/gnu/packages/golang.scm
>>>> +++ b/gnu/packages/golang.scm
>>>> @@ -62,7 +62,8 @@
>>>>      (arguments
>>>>       `(#:modules ((ice-9 match)
>>>>                    (guix build gnu-build-system)
>>>> -                  (guix build utils))
>>>> +                  (guix build utils)
>>>> +                  (srfi srfi-1))
>>>>         #:tests? #f ; Tests are run by the all.bash script.
>>>>         #:phases
>>>>         (modify-phases %standard-phases
>>>
>>> */me looks at git log and facepalms*
>>>
>>> Never mind my other email... I see that the reason these are already on
>>> master is because they were already pushed there. Feel free to close
>>> these!
>>
>> Though as discussed in another thread with Sergei, it’s not entirely
>> clear to me that these #:modules patches should be committed (and they
>> are for ‘core-updates’, not ‘master’.)
>>
>> I would rather see whether we can find a more generic solution to this
>> problem before patching every single instance.
>>
>> How does that sound?
>>
>> Ludo’.
>
> I have no objections. Should the patches already on master be reverted,
> or should they be left until further notice?

We can leave them, but let’s not push more without further thought.  :-)

Ludo’.